### Method

# Gsk Rendererrender_texture

#### Declaration [src]

    GdkTexture*
    gsk_renderer_render_texture (
      GskRenderer* renderer,
      GskRenderNode* root,
      const graphene_rect_t* viewport
    )

#### Description [src]

Renders the scene graph, described by a tree of `GskRenderNode` instances, to a `GdkTexture`.

The `renderer` will acquire a reference on the `GskRenderNode` tree while the rendering is in progress.

If you want to apply any transformations to `root`, you should put it into a transform node and pass that node instead.

#### Parameters

`root`

  Type: `GskRenderNode`

  A `GskRenderNode`

  The data is owned by the caller of the method.

`viewport`

  Type: `graphene_rect_t`

  The section to draw or `NULL` to use `root`‘s bounds.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

#### Return value

Type: `GdkTexture`

A `GdkTexture` with the rendered contents of `root`.

The caller of the method takes ownership of the data, and is responsible for freeing it.